Chapter 2. Getting Started With Hive

Table of Contents
Prerequisites
Installing Hive from Binary
Playing Around with Hive

Hive is a big system with a lot of different features. To make matters worse, most of them are not documented. We encourage you to play around with Hive, and maybe poke around the source code to see what it can do. For now, here is some information on how to start Hive up and try it out.

Prerequisites

Hive requires Java 1.1 to run. Install the latest JDK 1.1 you can find for your OS. Hive seems to work in Java2, but is not currently supported there.

Hive also requires several jar files. For more info, see the README-jars that came with the distribution. Don't forget to download and install the javacomm API!